Bug 137059 - Use application colors in character properties' font preview
Summary: Use application colors in character properties' font preview
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.1.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords: difficultyMedium, easyHack, skillCpp, topicDesign
Depends on:
Blocks:
 
Reported: 2020-09-26 16:56 UTC by medmedin2014
Modified: 2020-11-04 06:16 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Wrong font color in font preview (60.86 KB, image/png)
2020-09-26 16:56 UTC, medmedin2014
Details
wrong background color (139.99 KB, image/png)
2020-09-27 08:13 UTC, medmedin2014
Details

Note You need to log in before you can comment on or make changes to this bug.
Description medmedin2014 2020-09-26 16:56:36 UTC
Created attachment 165875 [details]
Wrong font color in font preview

When you open Character settings, the font color of text preview doesn't respect dark theme. See attached image for more info.

Version: 7.0.1.2
Build ID: 00(Build:2)
CPU threads: 2; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: en-US (en_US.UTF-8); UI: en-US
=7.0.1-1
Calc: threaded

Operating System: Manjaro Linux
KDE Plasma Version: 5.19.5
KDE Frameworks Version: 5.73.0
Qt Version: 5.15.0
Kernel Version: 5.4.64-1-MANJARO
OS Type: 64-bit
Comment 1 Telesto 2020-09-26 21:03:41 UTC
I assume the preview showing the actual 'font color'. So how it looks like without dark theme..

There will be always some problem with showing the actual font settings & dark mode conversion. However much experience with dark theming.. so adding they UX (User Experience) departement
Comment 2 medmedin2014 2020-09-27 08:12:36 UTC
(In reply to Telesto from comment #1)
> I assume the preview showing the actual 'font color'. So how it looks like
> without dark theme..
> 
> There will be always some problem with showing the actual font settings &
> dark mode conversion. However much experience with dark theming.. so adding
> they UX (User Experience) departement

Yeah you are right, that dialog controls also the color of the font and previews it, so the real problem comes from the background color of the rectangle where text is written, that rectangle fill color should be white. See attached image for more info.
Comment 3 medmedin2014 2020-09-27 08:13:43 UTC
Created attachment 165882 [details]
wrong background color
Comment 4 V Stuart Foote 2020-09-27 13:50:41 UTC
Not necessarily set 'white', rather dialog should be aware of fg and bg colors of current theme and use for font preview and canvas color where possible.

@Tomaž?
Comment 5 medmedin2014 2020-09-27 22:49:59 UTC
(In reply to V Stuart Foote from comment #4)
> Not necessarily set 'white', rather dialog should be aware of fg and bg
> colors of current theme and use for font preview and canvas color where
> possible.
> 
> @Tomaž?

Not always white, but I mean it should uses the background color of text used on current selected text which is white in my case (like shown in screenshot).
Comment 6 Heiko Tietze 2020-09-28 07:11:32 UTC
Agree with Stuart that preview should use the application colors (page could be black with white font).

Code pointer:

SvxFontPrevWindow::ApplySettings() in svx/source/dialog/fontctrl.cxx
Comment 7 Commit Notification 2020-11-03 21:03:03 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6f3899b27156591e65f62649a92c727eb6f5dd03

Resolves tdf#137059 - Use application colors for font preview

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.